Unarchives a previously archived fine-tuned model, making it available for use again.
DELETE
/v1/models/{model}/archive
Request Body
Les paramètres suivants peuvent être inclus dans le corps de la requête :
Paramètres
model
string
Required
The ID of the model to unarchive.
Successful Response
Les champs suivants sont retournés dans une réponse réussie :
Champs de réponse
id
string
Required
The model identifier.
object
string
Required
The object type, which is always "model".
archived
boolean
Required
Whether the model is archived.
Examples
Exemples de code pour utiliser cet endpoint :
typescript
import { AlphaEdge } from '@alphaedge/alphaedge';
const alphaedge = new AlphaEdge({
apiKey: process.env.ALPHAEDGE_API_KEY,
});
await alphaedge.models.unarchive('ft-model-123');
python
from alphaedge import AlphaEdge
alphaedge = AlphaEdge(api_key="your-api-key")
alphaedge.models.unarchive('ft-model-123')
curl
curl -X DELETE https://api.alphaedge-ai.com/v1/models/ft-model-123/archive \
-H "Authorization: Bearer $ALPHAEDGE_API_KEY"
Response
Exemple de réponse de l'API :
json
{
"id": "ft-model-123",
"object": "model",
"archived": false
}